Anonymous Login
2019-08-23 19:54 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001372v3.1 ReleaseCore Infrastructurepublic2014-01-25 00:34
Reportersaback 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.1 
Summary0001372: Calendar Pop Up don't open and it is not possible to change project or task dates.
DescriptionIt is not possible to open the calendar to choose a date for a project or a task. If I choose to put the date manually it doesn't save it.
Additional InformationI can't change projects or tasks dates.
I have the version 2.4 running on the same server and it is working perfectly.
TagsNo tags attached.
Attached Files

-Relationships
related to 0001381closedcaseydk calendar pickup and date fields inoperant 
+Relationships

-Notes

~0003009

cedricj (reporter)

Last edited: 2013-09-20 01:39

I get a similar problem with the 3.0 version, when upgrading from 2.4.

The calendar doesn't appears because of a javascript error in the file "/js/calendar.js".
In this file, you can search and replace the only occurence "++M" by "+M".
In javascript (and other languages), "++" is used for increment a value, not for an addition or concatenation.

For me, it works now, the calendar appears again.

~0003010

sasquatch58 (reporter)

Found the same thing myself with a clean V3 install.
Applied the suggested correction to the calendar.js file but still no popup and no messages in the log.
My dev version that was tracking Keiths work in git is fine.
Cheers Sasquatch

~0003011

saback (reporter)

It worked to me. Thanks.

~0003015

kero_zen (reporter)

It DOES NOT work for me, but I am under firefox 3.5 (can't upgrade my firefox), working under IE 8

~0003016

Themis (reporter)

see my comment : http://bugs.web2project.net/view.php?id=1381
i give the solution for this problem

~0003045

caseydk (administrator)

The fix included with 1381 resolves this one too.

~0003194

caseydk (administrator)

Closed for v3.1 Release which occurred 20 January 2014.
+Notes

-Issue History
Date Modified Username Field Change
2013-09-09 19:55 saback New Issue
2013-09-20 01:34 cedricj Note Added: 0003009
2013-09-20 01:39 cedricj Note Edited: 0003009
2013-09-21 21:58 sasquatch58 Note Added: 0003010
2013-09-22 14:37 saback Note Added: 0003011
2013-09-24 06:09 caseydk Status new => assigned
2013-09-24 06:09 caseydk Assigned To => caseydk
2013-10-17 05:05 kero_zen Note Added: 0003015
2013-10-18 03:45 Themis Note Added: 0003016
2013-11-21 18:59 caseydk Project v3.0 Release => v3.1 Release
2013-11-21 18:59 caseydk Relationship added related to 0001381
2013-11-21 19:00 caseydk Relationship deleted related to 0001381
2013-11-21 19:00 caseydk Relationship added related to 0001381
2013-11-21 19:01 caseydk Note Added: 0003045
2013-11-21 19:01 caseydk Status assigned => resolved
2013-11-21 19:01 caseydk Resolution open => fixed
2013-11-22 10:37 caseydk Category -- none specified -- => Calendar
2014-01-21 17:41 caseydk Note Added: 0003194
2014-01-21 17:41 caseydk Status resolved => closed
2014-01-21 17:49 caseydk Fixed in Version => 3.1
2014-01-25 00:34 caseydk Category General => Core Infrastructure
+Issue History